Returns the Javascript's scope document

- « MongoDB\BSON\Javascript::getCode

- MongoDB\BSON\Javascript::jsonSerialize »

- PHP Manual
- MongoDB\BSON\Javascript
- Returns the Javascript's scope document

# MongoDB\BSON\Javascript::getScope

(mongodb >=1.2.0)

MongoDB\BSON\Javascript::getScope — Returns the Javascript's scope document

### Description

final public MongoDB\BSON\Javascript::getScope(): ?object

### Parameters

This function has no parameters.

### Return Values

Returns the Javascript's scope document, or `null` if the is no scope.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\BSON\Javascript::getScope() example

    <?php$js = new MongoDB\BSON\Javascript('function foo(bar) { return bar; }');var_dump($js->getScope());$js = new MongoDB\BSON\Javascript('function foo() { return foo; }', ['foo' => 42]);var_dump($js->getScope());?>

The above example will output:

    NULL
    object(stdClass)#1 (1) {
      ["foo"]=>
      int(42)
    }

### See Also

- » BSON Types